Bug 1937547 - socket timeouts for webservice communication between pods
Summary: socket timeouts for webservice communication between pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.z
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1936920
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-10 22:44 UTC by OpenShift BugZilla Robot
Modified: 2021-03-25 04:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: iptables rewriting rules Consequence: A client that uses a fixed source port and tries to connect to a service both via the service IP and directly via a pod IP may run into problems with port conflicts. Fix: An additional OVS rule was inserted to notice when this was occurring and do an extra SNAT to avoid the port conflict. Result: Connections work.
Clone Of:
Environment:
Last Closed: 2021-03-25 04:45:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift sdn pull 274 0 None open [release-4.6] Bug 1937547: networkpolicy: pass traffic through NAT to handle possible tuple collisions 2021-03-12 01:39:47 UTC
Red Hat Product Errata RHBA-2021:0825 0 None None None 2021-03-25 04:45:18 UTC

Comment 2 zhaozhanqi 2021-03-15 03:13:47 UTC
Verified this bug on 4.6.0-0.nightly-2021-03-13-204449

Comment 5 errata-xmlrpc 2021-03-25 04:45:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0825


Note You need to log in before you can comment on or make changes to this bug.